Bug 953257 - java-1.7.0-openjdk-1.7.0.19-2.3.9.1 is FTBFS on ARM
java-1.7.0-openjdk-1.7.0.19-2.3.9.1 is FTBFS on ARM
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: java-1.7.0-openjdk (Show other bugs)
19
arm7 Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: jiri vanek
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: ARMTracker ZedoraTracker
  Show dependency treegraph
 
Reported: 2013-04-17 15:00 EDT by Peter Robinson
Modified: 2013-05-07 14:27 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-19 16:44:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2013-04-17 15:00:56 EDT
http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=1719532

One of the patches doesn't appear to apply on ARM

+ umask 022
+ cd /builddir/build/BUILD
+ cd java-1.7.0-openjdk
++ /usr/bin/getconf _NPROCESSORS_ONLN
+ export NUM_PROC=4
+ NUM_PROC=4
+ export NUM_PROC=4
+ NUM_PROC=4
+ patch -l -p0
patching file openjdk/jdk/src/share/lib/security/java.security
Hunk #1 FAILED at 146.
Hunk #2 FAILED at 181.
2 out of 2 hunks FAILED -- saving rejects to file openjdk/jdk/src/share/lib/security/java.security.rej
error: Bad exit status from /var/tmp/rpm-tmp.dBSapv (%build)
    Bad exit status from /var/tmp/rpm-tmp.dBSapv (%build)
RPM build errors:
Child return code was: 1
Comment 1 Peter Robinson 2013-04-17 15:01:54 EDT
This is for all releases rawhide -> F-17
Comment 2 Dan Horák 2013-04-18 06:53:57 EDT
and for all arches
Comment 3 Deepak Bhole 2013-04-18 16:03:42 EDT
Fixed in java-1.7.0-openjdk-1.7.0.19-2.3.9.2
Comment 4 Deepak Bhole 2013-04-19 09:29:38 EDT
Re-opening. There was some miscommunication -- the upstream work was still in progress and it was accidentally assumed to be complete due to the presence of an expected tag in the tree.

We're working on this now.
Comment 5 Deepak Bhole 2013-04-19 16:44:01 EDT
Should be fixed in java-1.7.0-openjdk-1.7.0.19-2.3.9.3. Local build on ARM went fine for me:

Wrote: /opt/dbhole/rpmbuild/SRPMS/java-1.7.0-openjdk-1.7.0.19-2.3.9.3.fc17.src.rpm
Wrote: /opt/dbhole/rpmbuild/RPMS/armv7hl/java-1.7.0-openjdk-1.7.0.19-2.3.9.3.fc17.armv7hl.rpm
Wrote: /opt/dbhole/rpmbuild/RPMS/armv7hl/java-1.7.0-openjdk-devel-1.7.0.19-2.3.9.3.fc17.armv7hl.rpm
Wrote: /opt/dbhole/rpmbuild/RPMS/armv7hl/java-1.7.0-openjdk-demo-1.7.0.19-2.3.9.3.fc17.armv7hl.rpm
Wrote: /opt/dbhole/rpmbuild/RPMS/armv7hl/java-1.7.0-openjdk-src-1.7.0.19-2.3.9.3.fc17.armv7hl.rpm
Wrote: /opt/dbhole/rpmbuild/RPMS/noarch/java-1.7.0-openjdk-javadoc-1.7.0.19-2.3.9.3.fc17.noarch.rpm
Wrote: /opt/dbhole/rpmbuild/RPMS/armv7hl/java-1.7.0-openjdk-debuginfo-1.7.0.19-2.3.9.3.fc17.armv7hl.rpm
Comment 6 Fedora Update System 2013-04-21 15:26:09 EDT
java-1.7.0-openjdk-1.7.0.19-2.3.9.3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/java-1.7.0-openjdk-1.7.0.19-2.3.9.3.fc19
Comment 7 Fedora Update System 2013-04-21 15:26:20 EDT
java-1.7.0-openjdk-1.7.0.19-2.3.9.3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/java-1.7.0-openjdk-1.7.0.19-2.3.9.3.fc18
Comment 8 Fedora Update System 2013-04-21 15:26:29 EDT
java-1.7.0-openjdk-1.7.0.19-2.3.9.3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/java-1.7.0-openjdk-1.7.0.19-2.3.9.3.fc17
Comment 9 Fedora Update System 2013-04-23 03:03:43 EDT
java-1.7.0-openjdk-1.7.0.19-2.3.9.6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/java-1.7.0-openjdk-1.7.0.19-2.3.9.6.fc19
Comment 10 Fedora Update System 2013-04-24 20:36:56 EDT
java-1.7.0-openjdk-1.7.0.19-2.3.9.3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-05-07 14:27:43 EDT
java-1.7.0-openjdk-1.7.0.19-2.3.9.3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.